%global composer_vendor         phpseclib
%global composer_project        phpseclib

%global github_owner            phpseclib
%global github_name             phpseclib

%global snapshot_date           20150702
%global snapshot_commit         483c253
%global snapshot_commit_long    483c2538795e97d0d98a012b90d3465ce64c950f

Name:       php-%{composer_vendor}
Version:    2.0
Release:    0.4.%{snapshot_date}git%{snapshot_commit}%{?dist}
Summary:    PHP Secure Communications Library

Group:      System Environment/Libraries
License:    MIT
URL:        https://github.com/%{github_owner}/%{github_name}
Source0:    https://github.com/%{github_owner}/%{github_name}/archive/%{snapshot_commit_long}.tar.gz
BuildArch:  noarch

Provides:   php-composer(%{composer_vendor}/%{composer_project}) = %{version}

BuildRequires: php-theseer-autoload
BuildRequires: php-phpunit-PHPUnit

Requires:   php(language) >= 5.3.3
Requires:   php-openssl

# suggested by composer.json
Requires:   php-gmp

%description
MIT-licensed pure-PHP implementations of an arbitrary-precision integer 
arithmetic library, fully PKCS#1 (v2.1) compliant RSA, DES, 3DES, RC4, 
Rijndael, AES, Blowfish, Twofish, SSH-1, SSH-2, SFTP, and X.509

%prep
%setup -qn %{github_name}-%{snapshot_commit_long}

%build

%check
phpab --output tests/bootstrap.php tests/ phpseclib/    
phpunit

%install
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/php
cp -pr %{composer_vendor} ${RPM_BUILD_ROOT}%{_datadir}/php

%files
%defattr(-,root,root,-)
%dir %{_datadir}/php/%{composer_vendor}
%{_datadir}/php/%{composer_vendor}
%doc AUTHORS CHANGELOG.md composer.json README.md
%license LICENSE

%changelog
* Thu Jul 02 2015 François Kooman <fkooman@tuxed.net> - 2.0-0.4.20150702git483c253
- Source points to tarball with commit hash instead of branch tarball

* Thu Jul 02 2015 François Kooman <fkooman@tuxed.net> - 2.0-0.3.20150702git483c253
- require PHPUnit

* Thu Jul 02 2015 François Kooman <fkooman@tuxed.net> - 2.0-0.2.20150702git483c253
- move LICENSE to license macro
- remove php-mcrypt dependency
- require PHP language instead of mod_php
- add CI for Fedora

* Thu Jul 02 2015 François Kooman <fkooman@tuxed.net> - 2.0-0.1.20150702git483c253
- initial package
